/*общие стили*/
:root {
    --white: #fff;
    --black: #222222;
    --grey: #555555;
    --grey-2: #838383;
    --border-radius-100: 100px;
    --opacity-50: 0.5;
    --opacity-60: 0.6;
    --background-fff-60: rgba(255, 255, 255, 0.6);
    --transition-duration: 0.3s; 
    --transition-timing-function: ease-in-out;
    --border-08: rgba(255, 255, 255, 0.8);
    --zoom-factor: 1;
}

.tn-atom[style*="spinner-white.gif"]{
  background-image:url("https://static.tildacdn.com/tild3863-3963-4633-b830-316233333562/preloader.gif") !important;
  background-color: #fff !important;
  background-size: 50px 50px !important;
  background-repeat: no-repeat !important;
  background-position: center center !important;
}



.header-bg div {
    background: none !important;
    transition: background-color 0.4s ease-in-out;
}

.header-bg {
    position: relative;
    overflow: hidden;
    backdrop-filter: blur(0) !important;
}

.header-bg.scrolled div {
    background-color: var(--page-color) !important;
    opacity: 1 !important;
}

#rec1156016906 .t396__artboard{
    z-index: 1 !important;
}



/*плашка куки*/
#allrecords {
    overflow: hidden;
}
[style*="zoom: var(--zoom-factor)"] {
    transform-origin: 0 0;
}


#rec2133087701 .t886{
    bottom: 50px !important;
    right: 72px  !important;
}

#rec2133087701 .t886__wrapper{
   align-items: center !important;
}

#rec2133087701 .t886__text {
    padding-right: 0px !important;
}

#rec2133087701 .t886__wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 10px 13px 13px 13px;
    background: 
    linear-gradient(rgba(0,0,0,0.5), rgba(0,0,0,0.5)),
    linear-gradient(rgba(255,255,255,0.1), rgba(255,255,255,0.1)) !important;
    backdrop-filter: blur(12px);
}

#rec2133087701 .t886__btn {
    margin: 0;
    margin-top: 10px;
    width: -webkit-fill-available;
}

#rec2133087701 a{
    transition: var(--t396-speedhover, 0.3s) ease-in-out;
}

#rec2133087701 .t-btnflex.t-btnflex_type_button{
    transition: var(--t396-speedhover, 0.3s) ease-in-out;
}

@media (hover: hover) {
    #rec2133087701 a:hover{
        opacity: 0.5 !important;
    }
}


@media (max-width: 1199px) {
    #rec2133087701 .t886__text {
        font-size: 15px !important;
    }
    
    #rec2133087701 .t886__wrapper {
        width: 390px !important;
        align-items: flex-end;
        padding: 20px;
    }
    
    #rec2133087701 .t886{
        left: 34px !important;
    }
    
    #rec2133087701 .t-btnflex.t-btnflex_type_button{
        font-size: 15px !important;
        padding: 12px 16px;
    }
    #rec2133087701 .t886__btn {
        margin-top: 16px;
    }
}


@media (max-width: 639px) {

    #rec2133087701 .t886__text {
        font-size: 12px !important;
    }
    
    #rec2133087701 .t886__wrapper {
        width: 308px !important;
        padding: 14px 18px 18px 18px;
    }
    
    #rec2133087701 .t886{
        bottom: 40px !important;
        right: auto !important;
        left: 50% !important;
        transform: translateX(-50%);
    }    
    #rec2133087701 .t-btnflex.t-btnflex_type_button{
        font-size: 10px !important;
        padding: 10px 16px;
    }
    #rec2133087701 .t886__btn {
        margin-top: 10px;
    }
}





/*страница проекты*/
.tn-elem[data-elem-id="1757423027557"] .tn-atom {
    background-position: top !important;
}

.tab-button{
    color: var(--black) !important;
    border-radius: 50px;
    border: 1px solid var(--black);
}  

.projects-title{
    letter-spacing: 5.8rem;
}

.project-type, .project-link{
    background-color: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(12px);
    border-radius: 100px;
    border: 1px solid rgba(255, 255, 255, 0.8);
    transition: 0.3s ease-in-out !important;
}

.project-type-black, .project-link-black{
    background-color: rgba(0, 0, 0, 0.01);
    backdrop-filter: blur(12px);
    border-radius: 100px;
    border: 1px solid rgba(0, 0, 0, 0.8);
    transition: 0.3s ease-in-out !important;
}

.project-link .project-link-svg div svg path{
    transition: 0.3s ease-in-out !important;
}

.project-link-black .project-link-svg div svg path{
    stroke="currentColor";
    stroke: var(--black) !important;
    transition: 0.3s ease-in-out !important;
}

.project-card{
    overflow: hidden;
}

.project-img div{
    transition: 5s cubic-bezier(0, 0.7, 0.95, 0.99) !important;
}

.case-info{
    pointer-events: none;
}

.project-card{
    overflow: hidden;
}

.project-img a{
    transition: 5s cubic-bezier(0, 0.7, 0.95, 0.99) !important;
}

/*отключение ховеров на мобилке и планшете*/
@media (hover: hover) {
    .project-card:hover .project-img a{
        transform: scale(1.2);
    }
}




/*страница проекта*/
/*.t396__artboard_scale:has(.page) {*/
/*    transform: translateY(-1px) !important;*/
/*}*/

.t-rec:has(.page) {
    margin-top: -1px !important;
}


.page{
    -webkit-box-shadow: 0 4px 30px rgba(0, 0, 0, .15);
    box-shadow: 0 4px 30px rgba(0, 0, 0, .15);
    
    -webkit-box-shadow: 0 0 30px 10px rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 30px 10px rgba(0, 0, 0, 0.1);
}

.page {
    box-shadow: 0 8px 30px rgba(0,0,0,0.12) !important;
}


/*увеличение обложки проекта при скролле*/
.first-img {
    opacity: 0; 
    animation: fadeIn 1s ease-in-out forwards;
    -webkit-box-shadow: 0 0 30px 10px rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 30px 10px rgba(0, 0, 0, 0.1);
    position: relative;
    overflow: hidden;
}

.first-img div {
    transform: scale(1);
    transition: transform 0.3s ease-out;
    will-change: transform;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

.project-h2{
    letter-spacing: 0.4rem;
}

.site-url{
    letter-spacing: 0.4rem;
    color: var(--link-color) !important;
    transition: all .4s cubic-bezier(.65,.05,.36,1) !important;
}


/*шапка*/
.header-text{
    color: var(--black);
    transition: color 0.3s ease-in-out;
}


/*попап контакты*/
.menu-popup-link{
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
}

.t-popup__container{
    top: 10vh !important;
    left: 0 !important;
    transform: translateX(0) !important;
}


/*попап контакты на всех страницах - десктоп*/
#rec1120965176 .tn-group[data-group-id="175031381837145040"] {
    position: absolute !important;
    right: 67px !important;
    left: auto !important;
    transform: none !important;
}
/*попап контакты на главной - десктоп*/
#rec1178388246 .tn-group[data-group-id="175031381837145040"]{
    position: absolute !important;
    right: 67px !important;
    left: auto !important;
    transform: none !important;
}


@media (max-width: 1199px) {
    .first-img {
        border-radius:32px 32px 0 0;
    }
    
    .site-url{
        letter-spacing: 0.05rem;
        transition: none;
    }
    
    .project-h2{
        letter-spacing: 0.3rem;
    }
    
    ::-webkit-scrollbar {
        visibility: hidden;
        width: 0px;
    }
    .projects-title{
        letter-spacing: 2rem;
    }
    
/*попап контакты - мобилка и планшет. сначала стили дяля всех страниц, потом для главной*/
    #rec1174963566 .t1093 .t-popup.t-popup-anim-fadein .t-popup__container, #rec1175041141 .t1093 .t-popup.t-popup-anim-fadein .t-popup__container {
        top: 0 !important;
    }
    
    #rec1174919236 .tn-group[data-group-id="175318961369343930"], #rec1178391356 .tn-group[data-group-id="175318961369343930"]{
        position: absolute;
        top: 50% !important;
        transform: translateY(-50%);
    }
}

@media (max-width: 599px) {
    .first-img {
        border-radius:24px 24px 0 0;
    }
    
    .project-h2{
        letter-spacing: 0.2rem;
    }
    
    .projects-title{
        letter-spacing: 0.75rem;
    }
}

/*отключение ховеров на мобилке и планшете*/
@media (hover: hover) {
    .project-link:hover{
        opacity: 1 !important;
        background-color: rgba(255, 255, 255, 1);
    }
    .project-link-black:hover{
        opacity: 1 !important;
        background-color: rgba(0, 0, 0, 1);
    }
    
    .project-link:hover .project-link-svg div svg path{
        stroke="currentColor";
        stroke: var(--black) !important;
    }
    
    .project-link-black:hover .project-link-svg div svg path{
        stroke="currentColor";
        stroke: var(--white) !important;
    }
    
    .site-url:hover{
        letter-spacing: 0.6rem;
    }
    
    .project-card:hover .project-img div{
        transform: scale(1.2);
    }

    .tab-button:hover{
        background-color: var(--black);
        color: var(--white) !important;
    }   

    .menu-popup-link:hover{
        opacity: 0.5;
    }
    
    .header-text:hover{
        color: #7D7D7D;
    }
}